REM 
REM Name this script stress.sql
REM The parameters passed are either 1 or 2, for
REM processing either even or odd numbered 
REM sales_trans_id records
REM
declare
	v_cust_id		number(6) := 0;
begin
	delete run_data where process_no = &&1;
	commit;
	insert into run_data values (&&1, sysdate, null);
	commit;
	for v_cust_id in 1..60 loop		
		update sales 
		set comments = 'CHANGED by &&1'
		where customer_id = v_cust_id
		and mod(sales_trans_id,2) = &&1;
		commit;
	end loop;
	update run_data set end_time = sysdate where process_no = &&1;
	commit;
end;	
/
exit
